@echo off
cls

rem Display the title banner
echo *** Allen-Bradley 1784-PCMK Binary Update Utility***
echo.

if .%1. == .. goto EXPLAIN

echo Creating a log of the binaries that will be updated (%1\BINUPDAT.LOG)...
echo.
dir %1\PCMK*.BIN /S > %1\BINUPDAT.LOG

if not exist %1\BINUPDAT.LOG goto EXPLAIN

REM IF NO .BIN FILES WERE FOUND, FAIL
find "BIN" %1\BINUPDAT.LOG /I > %1\BINUPDAT.DAT
if ERRORLEVEL 1 goto FAILED

:REPLACE_BINS
echo.
echo Updating the binaries...
update \pcmkdiag\pcmk485.bin -p%1\ -f -a
update \pcmkdiag\pcmkfcod.bin -p%1\ -f -a
update \pcmkdiag\pcmkint.bin -p%1\ -f -a
update \pcmkdiag\pcmklpbk.bin -p%1\ -f -a
update \pcmkdiag\pcmkpcl.bin -p%1\ -f -a
update \pcmkdiag\pcmkst0.bin -p%1\ -f -a
update \pcmkdiag\pcmkst1.bin -p%1\ -f -a
update \pcmkdiag\pcmkst2.bin -p%1\ -f -a
update \pcmkdiag\pcmkst3.bin -p%1\ -f -a

:PASSED
echo.
echo The binary update was successfully completed.
echo.
echo Note that this batch file does not update 6200 PLC2, PLC3, PLC5/250
echo (versions previous to 4.5) or PLC5 (versions previous to 4.5).
echo If you are going to use one or more of these 6200 series software
echo applications, you must follow the install procedure described in the
echo "Using The PCMK Card With 6200 Series Software" release note
echo (Cat. No. 1784-6.5.19-RN2) to update the binaries for these applications.
GOTO CLEANUP

:FAILED
echo.
echo The binary update was unsuccessful!!!
echo.
echo No PCMK binaries were updated because no PCMK binaries were found.
echo You must install all of the software applications that you will use
echo with your PCMK before running this binary update batch file.
echo Also verify that you entered a valid disk drive letter for the location
echo of your programming software binaries to be updated on the
echo a:\binupdat disk_drive_letter command line.
goto CLEANUP

:EXPLAIN
echo.
echo Usage: a:\binupdat disk_drive_letter
echo where disk_drive_letter is the disk drive letter where the software
echo application binaries to be updated are located.
echo.
echo For example, a:\binupdat c:
goto CLEANUP

:CLEANUP
if exist %1\TEMP.LOG del %1\BINUPDAT.DAT
echo on

:END
